## org.omg.CORBA
Class ValueDefSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueDefSeqHelper

public class ValueDefSeqHelper
extends java.lang.Object

Helper class for : ValueDefSeq

Author:
  OpenORB Compiler

Constructor Summary
`ValueDefSeqHelper()`

Method Summary
`static ValueDef[]` `extract(Any a)` Extract ValueDefSeq from an any
`static java.lang.String` `id()` Return the ValueDefSeq IDL ID
`static void` `insert(Any a, ValueDef[] t)` Insert ValueDefSeq into an any
`static ValueDef[]` `read(InputStream istream)` Read ValueDefSeq from a marshalled stream
`static TypeCode` `type()` Return the ValueDefSeq TypeCode
`static void` `write(OutputStream ostream, ValueDef[] value)` Write ValueDefSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueDefSeqHelper

    public ValueDefSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueDef[] t)

  Insert ValueDefSeq into an any
  Parameters:
    `a` - an any
    `t` - ValueDefSeq value

### extract

    public static ValueDef[] extract(Any a)

  Extract ValueDefSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueDefSeq value

### type

    public static TypeCode type()

  Return the ValueDefSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueDefSeq IDL ID
  Returns:
    an ID

### read

    public static ValueDef[] read(InputStream istream)

  Read ValueDefSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueDefSeq value

### write

    public static void write(OutputStream ostream,
                             ValueDef[] value)

  Write ValueDefSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueDefSeq value